/****************************************************************************
Title:    Access serial EEPROM 24C02 using I2C interace
Author:   Peter Fleury <pfleury@gmx.ch> http://jump.to/fleury
File:     $Id: test_i2cmaster.c,v 1.2 2003/12/06 17:07:18 peter Exp $
Software: AVR-GCC 3.3
Hardware: AT90S8515 at 4 Mhz, any AVR device can be used

Description:
    This example shows how the I2C library i2cmaster.S can be used to 
    access a serial eeprom.
    Based on Atmel Application Note AVR300, adapted to AVR-GCC C interface

*****************************************************************************/
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/io.h>
#include <util/delay.h>

#include "i2cmaster.h"
#include "lcd.c"


int main(void)
{

i2c_init();
lcd_init();
lcd_clear();

while(1)
{
	lcd_print(0,0,"1");

	i2c_start_wait(0x02 + I2C_WRITE);
	i2c_write(0x0D);                          // 8bit Information - adresse 0 
	i2c_write(0xAA);				// 8bit Information - adresse 1 
	i2c_stop();                        	// stopt I2C Verbindung

	lcd_print(0,0,"2");
	_delay_ms(2000);

}
}


